using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioParcelamento
    {

        public void Update(entidadeParcelamento objParcelamento)
        {
            dalParcelamento dalParcelamento = null;

            try
            {
                dalParcelamento = new dalParcelamento();

                dalParcelamento.Update(objParcelamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeParcelamento> Select(entidadeParcelamento objParcelamento)
        {
            dalParcelamento dalParcelamento = null;

            var lstParcelamento = new List<entidadeParcelamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalParcelamento = new dalParcelamento();

                dt = dalParcelamento.Select(objParcelamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstParcelamento = regraNegocioGlobal.ConvertDataTable<entidadeParcelamento>(dt);

                return lstParcelamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
